import {
  select,
  schemeCategory10,
  csvParse,
  min,
  max,
  extent,
  group,
  flatGroup,
  rollup,
  flatRollup,
  sum,
  bin,
  timeFormat,
} from 'd3';

import { treeMap } from './treemap';

export const viz = (
  container,

) => {
  const width = window.innerWidth;
  const height = window.innerHeight;

  const svg = select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', width)
    .attr('height', height);

  // state.data could be:
  // * undefined
  // * 'LOADING'
  // * An array of objects
const data = [
  {
    "nationality": "American",
    "count": 3525
  },
  {
    "nationality": "German",
    "count": 955
  },
  {
    "nationality": "French",
    "count": 732
  },
  {
    "nationality": "British",
    "count": 612
  },
  {
    "nationality": "Swiss",
    "count": 490
  },
  {
    "nationality": "Italian",
    "count": 486
  },
  {
    "nationality": "Japanese",
    "count": 372
  },
  {
    "nationality": "Dutch",
    "count": 303
  },
  {
    "nationality": "Spanish",
    "count": 209
  },
  {
    "nationality": "Russian",
    "count": 177
  },
  {
    "nationality": "Austrian",
    "count": 157
  },
  {
    "nationality": "Czech",
    "count": 156
  },
  {
    "nationality": "Finnish",
    "count": 146
  },
  {
    "nationality": "Swedish",
    "count": 115
  },
  {
    "nationality": "Polish",
    "count": 115
  },
  {
    "nationality": "Danish",
    "count": 97
  },
  {
    "nationality": "Australian",
    "count": 95
  },
  {
    "nationality": "Belgian",
    "count": 93
  },
  {
    "nationality": "Brazilian",
    "count": 56
  },
  {
    "nationality": "Canadian",
    "count": 31
  },
  {
    "nationality": "Latvian",
    "count": 31
  },
  {
    "nationality": "Argentine",
    "count": 29
  },
  {
    "nationality": "Luxembourger",
    "count": 21
  },
  {
    "nationality": "Chilean",
    "count": 18
  },
  // {
  //   "medium": "Mexican",
  //   "count": 11
  // },
  // {
  //   "medium": "Croatian",
  //   "count": 10
  // },
  // {
  //   "medium": "Ukrainian",
  //   "count": 9
  // },
  // {
  //   "medium": "Slovenian",
  //   "count": 4
  // },
  // {
  //   "medium": "Israeli",
  //   "count": 4
  // },
  // {
  //   "medium": "Norwegian",
  //   "count": 4
  // },
  // {
  //   "medium": "Coptic",
  //   "count": 3
  // },
  // {
  //   "medium": "Hungarian",
  //   "count": 3
  // },
  // {
  //   "medium": "Greek",
  //   "count": 3
  // },
  // {
  //   "medium": "Cuban",
  //   "count": 3
  // },
  // {
  //   "medium": "Iranian",
  //   "count": 2
  // },
  // {
  //   "medium": "Moroccan",
  //   "count": 2
  // },
  // {
  //   "medium": "Czechoslovakian",
  //   "count": 2
  // },
  // {
  //   "medium": "Georgian",
  //   "count": 2
  // },
  // {
  //   "medium": "Persian",
  //   "count": 1
  // },
  // {
  //   "medium": "Colombian",
  //   "count": 1
  // },
  // {
  //   "medium": "Chinese",
  //   "count": 1
  // },
  // {
  //   "medium": "Scottish",
  //   "count": 1
  // },
  // {
  //   "medium": "Icelandic",
  //   "count": 1
  // },
  // {
  //   "medium": "Yugoslav",
  //   "count": 1
  // },
  // {
  //   "medium": "Romanian",
  //   "count": 1
  // },
  // {
  //   "medium": "Venezuelan",
  //   "count": 1
  // },
  // {
  //   "medium": "Uruguayan",
  //   "count": 1
  // }
];

  
  if (data && data !== 'LOADING') {
    svg.call(treeMap, {
      data,
      width,
      height,
    });
  }
        

};
